Package org.eclipse.m2m.atl.debug.core

# Class AtlDebugModelConstants

java.lang.Object
org.eclipse.m2m.atl.debug.core.AtlDebugModelConstants

public final class AtlDebugModelConstants extends Object
Common constants for debugging.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATL_DEBUG_MODEL_ID`
ATL debug model identifier.
`static final String`
`DEBUGTARGETNAME`
Debug target name.
`static final String`
`HOST`
Host name.
`static final String`
`KEY`
key debug notation.
`static final String`
`MAPELEMENT`
map element debug notation.
`static final String`
`NULL`
null debug notation.
`static final String`
`RUNTARGETNAME`
Run target name.
`static final String`
`THREADNAME`
Thread name.
`static final String`
`VALUE`
value debug notation.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HOST

public static final String HOST
Host name.

See Also:
  - Constant Field Values

### DEBUGTARGETNAME

public static final String DEBUGTARGETNAME
Debug target name.

See Also:
  - Constant Field Values

### RUNTARGETNAME

public static final String RUNTARGETNAME
Run target name.

See Also:
  - Constant Field Values

### THREADNAME

public static final String THREADNAME
Thread name.

See Also:
  - Constant Field Values

### NULL

public static final String NULL
null debug notation.

See Also:
  - Constant Field Values

### KEY

public static final String KEY
key debug notation.

See Also:
  - Constant Field Values

### VALUE

public static final String VALUE
value debug notation.

See Also:
  - Constant Field Values

### MAPELEMENT

public static final String MAPELEMENT
map element debug notation.

See Also:
  - Constant Field Values

### ATL_DEBUG_MODEL_ID

public static final String ATL_DEBUG_MODEL_ID
ATL debug model identifier.

See Also:
  - Constant Field Values